Package org.eclipse.zest.core.viewers

# Interface IFigureProvider

public interface IFigureProvider
Allows a user to create a figure for an element in graph model. To use this interface, it should be implemented and passed to `StructuredViewer.setLabelProvider(IBaseLabelProvider)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.IFigure`
`getFigure(Object element)`
Creates a custom figure for a graph model element

## Method Details

### getFigure

org.eclipse.draw2d.IFigure getFigure(Object element)
Creates a custom figure for a graph model element